Bug 1047126 - Support for SEPA in aqbanking
Summary: Support for SEPA in aqbanking
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: aqbanking
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1047200
TreeView+ depends on / blocked
 
Reported: 2013-12-29 09:53 UTC by Markus Espenhain
Modified: 2014-03-17 03:34 UTC (History)
6 users (show)

Fixed In Version: gwenhywfar-4.9.0-0.2.beta.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-21 05:54:20 UTC
Type: Bug


Attachments (Terms of Use)

Description Markus Espenhain 2013-12-29 09:53:38 UTC
Description of problem:

From 01.02.2014 the new SEPA process is introduced in europe. Therefore, the new version 5.1.0 from aqbanking where published. To continue using aqbanking (also from gnucash and others) this support should be integrated by providing the new version 5.1.0.

Version-Release number of selected component (if applicable):
5.1.0

Additional info:

http://www.aquamaniac.de/sites/download/packages.php?package=03&release=103

Comment 1 Bill Nottingham 2014-01-06 20:44:05 UTC
Not horribly enthused about using it when it's still marked 'beta'. Also, it's an ABI break, which means it's not really appropriate in general for an existing release, much less a long-term supported one.

Comment 2 Robert Scheck 2014-01-09 16:36:38 UTC
Bill, even I agree with you on the perspective of being a package maintainer
as well, I would like to explicitly point out that DTAUS (one of the im-/
exporters of aqbanking) gets completely obsolete in Germany and superseeded
by SEPA. In the consequence aqbanking in EPEL 5 and 6 is useless in Germany
starting with 2014-02-01.

Even aqbanking 5.2.0 is also marked as beta, I would like to see a switch to
this newer version as well given that SEPA now does not only cover Germany,
but the whole Single Euro Payments Area consisting out of 26 countries. That
means any ABI breakage also introduces benefits for other users in Europe.

According to two quick checks the amount of affected software in EPEL is not
that huge:

$ for p in $(repoquery --repoid epel -a --qf '%{base_package_name} %{name}' | awk '/^aqbanking /{print$2}' | sort -u); do repoquery --repoid epel -s --whatrequires $p && repoquery --repoid epel-source --arch=src --whatrequires $p; done | sed 's|-[^-]*-[^-]*$||' | sort -u | egrep -v "^aqbanking$"
gnucash
$

$ for p in $(repoquery --repoid epel -a --qf '%{base_package_name} %{name}' | awk '/^gwenhywfar /{print$2}' | sort -u); do repoquery --repoid epel -s --whatrequires $p && repoquery --repoid epel-source --arch=src --whatrequires $p; done | sed 's|-[^-]*-[^-]*$||' | sort -u | egrep -v "^gwenhywfar$"
aqbanking
gnucash
$

In the end both, gwenhywfar and aqbanking should be updated - and one rebuild
of gnucash is required. And I am quite sure that the gnucash users are really 
really happy to be able to use SEPA as well, no?

Comment 3 Bill Nottingham 2014-01-09 17:41:06 UTC
Fair point. Although we'd need to do it in Fedora as well as EPEL, and there's one other user there (kmymoney).

Comment 4 Robert Scheck 2014-01-09 19:21:03 UTC
I am happy to assist if that helps somehow (especially for EPEL 5 and 6).

Comment 5 Bill Nottingham 2014-01-09 19:31:16 UTC
5? That's running (now) two major releases ago for GnuCash. Not sure it would even work with new aqbanking. I would just be planning 6 & 7.

Comment 6 Robert Scheck 2014-01-10 11:15:44 UTC
I was less thinking about gnucash but more about users doing batch runs using
aqbanking directly (like we do). However my employer does not seem to have any
production systems with aqbanking on 5 anymore. So we are fine with 6+.

Comment 7 Bill Nottingham 2014-01-16 15:09:56 UTC
There's a build in rawhide (and EPEL 7) right now, if you want to smoketest the SEPA support before I start pulling it back to el6/19/20.

Comment 8 Fedora Update System 2014-01-18 05:32:47 UTC
gwenhywfar-4.9.0-0.2.beta.el6,aqbanking-5.3.2-0.1.beta.el6,gnucash-2.4.15-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/gwenhywfar-4.9.0-0.2.beta.el6,aqbanking-5.3.2-0.1.beta.el6,gnucash-2.4.15-1.el6

Comment 9 Fedora Update System 2014-01-18 05:35:08 UTC
kmymoney-4.6.4-3.fc19,gnucash-2.4.15-1.fc19,aqbanking-5.3.2-0.1.beta.fc19,gwenhywfar-4.9.0-0.2.beta.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kmymoney-4.6.4-3.fc19,gnucash-2.4.15-1.fc19,aqbanking-5.3.2-0.1.beta.fc19,gwenhywfar-4.9.0-0.2.beta.fc19

Comment 10 Fedora Update System 2014-01-18 05:38:36 UTC
gnucash-2.6.0-2.fc20,gnucash-docs-2.6.0-1.fc20,kmymoney-4.6.4-3.fc20,aqbanking-5.3.2-0.1.beta.fc20,gwenhywfar-4.9.0-0.2.beta.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gnucash-2.6.0-2.fc20,gnucash-docs-2.6.0-1.fc20,kmymoney-4.6.4-3.fc20,aqbanking-5.3.2-0.1.beta.fc20,gwenhywfar-4.9.0-0.2.beta.fc20

Comment 11 Fedora Update System 2014-01-18 20:35:17 UTC
Package gwenhywfar-4.9.0-0.2.beta.el6, aqbanking-5.3.2-0.1.beta.el6, gnucash-2.4.15-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing gwenhywfar-4.9.0-0.2.beta.el6 aqbanking-5.3.2-0.1.beta.el6 gnucash-2.4.15-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0232/gwenhywfar-4.9.0-0.2.beta.el6,aqbanking-5.3.2-0.1.beta.el6,gnucash-2.4.15-1.el6
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2014-01-21 05:54:20 UTC
gnucash-2.6.0-2.fc20, gnucash-docs-2.6.0-1.fc20, kmymoney-4.6.4-3.fc20, aqbanking-5.3.2-0.1.beta.fc20, gwenhywfar-4.9.0-0.2.beta.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2014-01-28 04:39:59 UTC
kmymoney-4.6.4-3.fc19, gnucash-2.4.15-1.fc19, aqbanking-5.3.2-0.1.beta.fc19, gwenhywfar-4.9.0-0.2.beta.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2014-02-18 23:01:05 UTC
gwenhywfar-4.9.0-0.2.beta.el6, aqbanking-5.3.2-0.1.beta.el6, gnucash-2.4.15-3.el6, gnucash-docs-2.4.3-1.el6, ktoblzcheck-1.44-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.